org.eclipse.mat.parser.model

## Class XSnapshotInfo

- java.lang.Object
- - org.eclipse.mat.snapshot.SnapshotInfo
  - - org.eclipse.mat.parser.model.XSnapshotInfo

All Implemented Interfaces:
  Serializable

    public final class XSnapshotInfo
    extends SnapshotInfo

Basic information about the snapshot which can be updated as data is read from the dump.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XSnapshotInfo()` Simple constructor, with real data added later using setters.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setCreationDate(Date creationDate)`
`void` `setIdentifierSize(int identifierSize)`
`void` `setJvmInfo(String jvmInfo)`
`void` `setNumberOfClasses(int numberOfClasses)`
`void` `setNumberOfClassLoaders(int numberOfClassLoaders)`
`void` `setNumberOfGCRoots(int numberOfGCRoots)`
`void` `setNumberOfObjects(int numberOfObjects)`
`void` `setPath(String path)`
`void` `setPrefix(String prefix)`
`void` `setUsedHeapSize(long usedHeapSize)`

### Methods inherited from class org.eclipse.mat.snapshot.SnapshotInfo

`getCreationDate, getIdentifierSize, getJvmInfo, getNumberOfClasses, getNumberOfClassLoaders, getNumberOfGCRoots, getNumberOfObjects, getPath, getPrefix, getProperty, getUsedHeapSize, setProperty, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XSnapshotInfo

    public XSnapshotInfo()

Simple constructor, with real data added later using setters.

### Method Detail

#### setPrefix

    public void setPrefix(String prefix)

Parameters:
  `prefix` -
See Also:
  `SnapshotInfo.getPrefix()`

#### setPath

    public void setPath(String path)

Parameters:
  `path` -
See Also:
  `SnapshotInfo.getPath()`

#### setCreationDate

    public void setCreationDate(Date creationDate)

Parameters:
  `creationDate` -
See Also:
  `SnapshotInfo.getCreationDate()`

#### setIdentifierSize

    public void setIdentifierSize(int identifierSize)

Parameters:
  `identifierSize` -
See Also:
  `SnapshotInfo.getIdentifierSize()`

#### setJvmInfo

    public void setJvmInfo(String jvmInfo)

Parameters:
  `jvmInfo` -
See Also:
  `SnapshotInfo.getJvmInfo()`

#### setNumberOfClasses

    public void setNumberOfClasses(int numberOfClasses)

Parameters:
  `numberOfClasses` -
See Also:
  `SnapshotInfo.getNumberOfClasses()`

#### setNumberOfClassLoaders

    public void setNumberOfClassLoaders(int numberOfClassLoaders)

Parameters:
  `numberOfClassLoaders` -
See Also:
  `SnapshotInfo.getNumberOfClassLoaders()`

#### setNumberOfGCRoots

    public void setNumberOfGCRoots(int numberOfGCRoots)

Parameters:
  `numberOfGCRoots` -
See Also:
  `SnapshotInfo.getNumberOfGCRoots()`

#### setNumberOfObjects

    public void setNumberOfObjects(int numberOfObjects)

Parameters:
  `numberOfObjects` -
See Also:
  `SnapshotInfo.getNumberOfObjects()`

#### setUsedHeapSize

    public void setUsedHeapSize(long usedHeapSize)

Parameters:
  `usedHeapSize` -
See Also:
  `SnapshotInfo.getUsedHeapSize()`